SDL_GetMice(3)

NAME
SDL_GetMice - Get a list of currently connected mice.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_MouseID* SDL_GetMice(int *count);

DESCRIPTION
Note that this will include any device or virtual driver that includes mouse functionality, including some game controllers, KVM switches, etc. You should wait for input from a device before you consider it actively in use.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of mice returned

RETURN VALUE
Returns a 0 terminated array of mouse instance IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetMouseInstanceName(3), SDL_HasMouse(3)